#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 34. GNOME Applications

- Prev

  gnome-screenshot-41.0

- Next

  gnome-terminal-3.54.2

- Up
- Home

# gnome-system-monitor-47.1

## Introduction to GNOME System Monitor

The GNOME System Monitor package contains GNOME's replacement for gtop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-system-monitor/47/gnome-system-monitor-47.1.tar.xz

- Download MD5 sum: f6e69d246adc5445228c82011fac118a

- Download size: 1.0 MB

- Estimated disk space required: 33 MB

- Estimated build time: 0.2 SBU (with parallelism=4)

### GNOME System Monitor Dependencies

#### Required

adwaita-icon-theme-47.0, Gtkmm-4.16.0, itstool-2.0.7, libgtop-2.41.3, libadwaita-1.6.4, and librsvg-2.59.2

#### Optional

appstream-glib-0.8.3, desktop-file-utils-0.28, and uncrustify

## Installation of GNOME System Monitor

Install GNOME System Monitor by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                -D systemd=false    \
                --buildtype=release \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D systemd=false`: This switch ensures that gnome-system-monitor does NOT use the systemd process monitoring framework. Use this option if you are on a SysV system.

## Contents

Installed Program: gnome-system-monitor
Installed Libraries: None
Installed Directories: /usr/{libexec,share,share/help/*}/gnome-system-monitor

### Short Descriptions

gnome-system-monitor | is used to display the process tree and hardware meters

- Prev

  gnome-screenshot-41.0

- Next

  gnome-terminal-3.54.2

- Up
- Home